diff --git a/src/backend/optimizer/path/costsize.c b/src/backend/optimizer/path/costsize.c
index ed07e2f655..b79b0d975a 100644
--- a/src/backend/optimizer/path/costsize.c
+++ b/src/backend/optimizer/path/costsize.c
@@ -4517,7 +4517,9 @@ set_subquery_size_estimates(PlannerInfo *root, RelOptInfo *rel)
 {
 	PlannerInfo *subroot = rel->subroot;
 	RelOptInfo *sub_final_rel;
+#ifdef USE_ASSERT_CHECKING
 	RangeTblEntry *rte PG_USED_FOR_ASSERTS_ONLY;
+#endif
 	ListCell   *lc;
 
 	/* Should only be applied to base relations that are subqueries */
@@ -4637,7 +4639,9 @@ set_function_size_estimates(PlannerInfo *root, RelOptInfo *rel)
 void
 set_tablefunc_size_estimates(PlannerInfo *root, RelOptInfo *rel)
 {
+#ifdef USE_ASSERT_CHECKING
 	RangeTblEntry *rte PG_USED_FOR_ASSERTS_ONLY;
+#endif
 
 	/* Should only be applied to base relations that are functions */
 	Assert(rel->relid > 0);
